Bug 438258 - Azureus "Plugins" menu missing
Azureus "Plugins" menu missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 17:35 EDT by Peter Oliver
Modified: 2009-11-22 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 08:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Oliver 2008-03-19 17:35:46 EDT
Description of problem:
The Plugins menu is missing.  There is a patch,
"azureus-fix-menu-MainMenu.patch", which appears to deliberately remove it.  I'm
guessing that this is an attempt to hide some broken auto-update functionality
or something like that, but it renders any plugin that tries to add an item to
this menu useless.

Version-Release number of selected component (if applicable):
3.0.4.2-10.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Install a plugin, using the instructions at
http://azureuswiki.com/index.php/InstallPlugins
2. Try to use that plugin, via the "Plugins" menu.
3. Ooops, no menu!
Comment 1 Bug Zapper 2008-05-14 02:45:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kyle Pablo 2008-12-04 23:06:00 EST
It appears the plugins menu is missing from azureus in Fedora 10 too.
Comment 3 Kyle Pablo 2008-12-19 23:11:07 EST
Status update?
Comment 4 Kyle Pablo 2009-01-14 12:37:18 EST
Status update?
Comment 5 Frank Murphy 2009-01-19 15:00:08 EST
It would be nice to have the ability to have "Speed Scheduler\Cron Scheduler",
to keep within ISP T&C.
Comment 6 Kyle Pablo 2009-01-21 13:58:07 EST
Can we get an updated Azureus to the latest version now known as Vuze?
Comment 7 Frank Murphy 2009-02-28 06:31:55 EST
Thanks azureus-4.0.0.4-2.fc11.noarch in rawhide.
plus installing plugins now work
Comment 8 Frank Murphy 2009-03-04 14:21:23 EST
(In reply to comment #7)
> Thanks azureus-4.0.0.4-2.fc11.noarch in rawhide.
> plus installing plugins now work in rawhide.

below requires yum --enablerepo=rawhide
Also works fine in F10 (xfce) by either updating Azureus 3.x to Azureus [Vuze] 4.x, or just installing Azureus 4.x (this pull in all required deps)
Comment 9 Kyle Pablo 2009-04-27 12:35:40 EDT
I cant restart azureus from File->Restart Azureus.  I get "Can't restart w/o azupdater plugin."
Comment 10 Bug Zapper 2009-11-18 07:27:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Peter Oliver 2009-11-22 08:08:28 EST
Fixed in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.